GIT-ALIAS(1)

NAME
git-alias - Define, search and show aliases

SYNOPSIS
git-alias git-alias <search-pattern> git-alias <alias-name> <command> git-alias [--global] git-alias [--local] git-alias [--global] <search-pattern> git-alias [--local] <search-pattern> git-alias [--global] <alias-name> <command> git-alias [--local] <alias-name> <command>

DESCRIPTION
List all aliases, show one alias, or set one (global or local) alias.

OPTIONS
--global

Show or create alias in the system config

--local

Show or create alias in the repository config

<search-pattern>

The pattern used to search aliases.

<alias-name>

The name of the alias to create.

<command>

The command for which you are creating an alias.

EXAMPLES
Defining a new alias:

    $ git alias last "cat-file commit HEAD"

Providing only one argument, git-alias searches for aliases matching the given value:

    $ git alias ^la
    last = cat-file commit HEAD

git-alias will show all aliases if no argument is given:

    $ git alias
    s = status
    amend = commit --amend
    rank = shortlog -sn --no-merges
    whatis = show -s --pretty='tformat:%h (%s, %ad)' --date=short
    whois = !sh -c 'git log -i -1 --pretty="format:%an <%ae>

AUTHOR
Written by Jonhnny Weslley <jw@jonhnnyweslley.net>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>